Next: ISHFT, Previous: IS_IOSTAT_EOR, Up: Intrinsic Procedures [Contents][Index]

### 9.158 `ISATTY` — Whether a unit is a terminal device.

Description:

  Determine whether a unit is connected to a terminal device.

Standard:

  GNU extension

Class:

  Function

Syntax:

  `RESULT = ISATTY(UNIT)`

Arguments:

  UNIT | Shall be a scalar `INTEGER`.

Return value:

  Returns `.TRUE.` if the UNIT is connected to a terminal device, `.FALSE.` otherwise.

Example:

      PROGRAM test_isatty
        INTEGER(kind=1) :: unit
        DO unit = 1, 10
          write(*,*) isatty(unit=unit)
        END DO
      END PROGRAM

See also:

  TTYNAM